#

| Appendix F |

# F. BIND Name Server and Resolver Statements

Contents:
BIND Name Server Boot File Statements
BIND Resolver Statements

## F.1 BIND Name Server Boot File Statements

Here's a handy list of all the boot file statements for the BIND name server. Some of the statements only exist in later versions, so your server may not support them yet. The version 4 statements are labeled with a specific version number (4.9.3), or if they've been around a long time, they are labeled with a generic version number (4.X.X). The version 8 statements are labeled 8.X.X.

### F.1.1 directory (4.X.X)

Function:

  Changes the current working directory

Syntax:

  >     directory new-directory

Example:

  >     directory /var/named

See also:

  8.X.X `options` statement, `directory`

Covered in:

  Chapter 4, Setting Up BIND

### F.1.2 primary

Function:

  Declares a name server as the primary master for a zone

Syntax:

  >     primary domain-name-of-zone file

Example:

  >     primary  movie.edu   db.movie

See also:

  8.X.X `zone` statement, `type master`

Covered in:

  Chapter 4

### F.1.3 secondary

Function:

  Declares a name server as a slave for a zone

Syntax:

  >     secondary domain-name-of-zone ip-address-list [backup-file]

Example:

  >     secondary  movie.edu   192.249.249.3 db.movie

See also:

  8.X.X `zone` statement, `type slave`

Covered in:

  Chapter 4

### F.1.4 cache

Function:

  Defines the name of the file from which to load the root hints (the names and addresses of the root name servers)

Syntax:

  >     cache domain-name file

Example:

  >     cache    .    db.cache

See also:

  8.X.X `zone` statement, `type hint`

Covered in:

  Chapter 4

### F.1.5 forwarders

Function:

  Defines name server(s) to send unresolved queries to

Syntax:

  >     forwarders ip-address-list

Example:

  >     forwarders 192.249.249.1 192.249.249.3

See also:

  8.X.X `options` statement, `forwarders`

Covered in:

  Chapter 10, Advanced Features and Security

### F.1.6 sortlist

Function:

  Specifies network numbers to prefer over others

Syntax:

  >     sortlist network-list

Example:

  >     sortlist 10.0.0.0

See also:

  This feature is not supported in version 8.X.X

Covered in:

  Chapter 10

### F.1.7 slave

This statement is the same as the 4.9.3 statement `options forward-only` and the 8.X.X `options` statement `forward`.

### F.1.8 include (4.9.3)

Function:

  Includes the contents of another file in named.boot

Syntax:

  >     include file

Example:

  >     include  bootfile.primary

See also:

  8.X.X `include` statement

Covered in:

  Chapter 7, Maintaining BIND

### F.1.9 stub (4.9.3)

Function:

  Specifies a child zone that your server should periodically get delegation information for

Syntax:

  >     stub domain ip-address-list [backup-file]

Example:

  >     stub movie.edu 192.249.249.3 stub.movie

See also:

  8.X.X `zone` statement, `type stub`

Covered in:

  Chapter 9, Parenting

### F.1.10 options (4.9.3)

#### F.1.10.1 `options forward-only`

Function:

  Prevents your name server from resolving domain names independently of a forwarder

See also:

  8.X.X `option` statement, `forward`

Covered in:

  Chapter 10

#### F.1.10.2 `options no-recursion`

Function:

  Prevents your name server from performing recursive resolution of domain names

See also:

  8.X.X `options` statement, `recursion`

Covered in:

  Chapter 10

#### F.1.10.3 `options no-fetch-glue`

Function:

  Prevents your name server from fetching missing glue when constructing a response

See also:

  8.X.X `options` statement, `fetch-glue`

Covered in:

  Chapter 10

#### F.1.10.4 `options query-log`

Function:

  Logs all queries received by your name server

See also:

  8.X.X `logging` statement, `category queries`

Covered in:

  Chapter 7 and Chapter 13, Troubleshooting DNS and BIND

#### F.1.10.5 `options fake-iquery`

Function:

  Tells your name server to respond to old-fashioned inverse queries with a fake answer instead of an error

See also:

  8.X.X `options` statement, `fake-iquery`

Covered in:

  Chapter 11, nslookup

### F.1.11 limit (4.9.3)

#### F.1.11.1 `limit transfers-in`

Function:

  Restricts the total number of zone transfers your name server will attempt at any one time

See also:

  8.X.X `options` statement, `transfers-in`

#### F.1.11.2 `limit transfers-per-ns`

Function:

  Restricts the number of zone transfers your name server will request from any one server simultaneously

See also:

  8.X.X `options` statement, `transfers-per-ns`

#### F.1.11.3 `limit datasize`

Function:

  Increases the size of the data segment `named` uses (only works on some operating systems)

See also:

  8.X.X `options` statement, `datasize`

All covered in:

  Chapter 10

### F.1.12 xfrnets (4.9.3)

Function:

  Restricts zone transfers from your name server to a list of IP addresses or networks

Syntax:

  >     xfrnets ip-address-or-network-list

Example:

  >     xfrnets 15.0.0.0 128.32.0.0

See also:

  8.X.X `options` statement, `allow-transfer`

Covered in:

  Chapter 10

### F.1.13 bogusns (4.9.3)

Function:

  Tells your name server not to query a list of name servers that are known to give bad answers

Syntax:

  >     bogusns ip-address-list

Example:

  >     bogusns 15.255.152.4

See also:

  8.X.X `server` statement, `bogus`

Covered in:

  Chapter 10

### F.1.14 check-names (4.9.4)

Function:

  Modifies the name-checking feature

Syntax:

  >     check-names primary/secondary/response fail/warn/ignore

Example:

  >     check-names primary ignore

See also:

  8.X.X `options` statement, `check-names`

Covered in:

  Chapter 4

### F.1.15 acl (8.X.X)

Function:

  Creates a named address match list

Syntax:

  >     acl name {
  >        address_match_list
  >     };

Covered in:

  Chapter 10

### F.1.16 include (8.X.X)

Function:

  Inserts the specified file at the point that the `include` statement is encountered

Syntax:

  >     include path_name;

Covered in:

  Chapter 7

### F.1.17 key (8.1.1)

Function:

  Defines a key ID which can be used in a `server` statement to associate an authentication method with a particular name server. The `key` statement is intended for future use by the server. In version 8.1.1, it is checked for syntax but is otherwise ignored

Syntax:

  >     key key_id {
  >       algorithm algorithm_id;
  >       secret secret_string;
  >     };

### F.1.18 logging (8.X.X)

Function:

  Defines the logging behavior

Syntax:

  >     logging {
  >       [ channel channel_name {
  >         ( file path_name
  >            [ versions ( number | unlimited ) ]
  >            [ size size_spec ]
  >          | syslog ( kern | user | mail | daemon | auth | syslog | lpr |
  >                     news | uucp | cron | authpriv | ftp |
  >                     local0 | local1 | local2 | local3 |
  >                     local4 | local5 | local6 | local7 )
  >          | null );

  >         [ severity ( critical | error | warning | notice |
  >                      info  | debug [ level ] | dynamic ); ]
  >         [ print-category yes_or_no; ]
  >         [ print-severity yes_or_no; ]
  >         [ print-time yes_or_no; ]
  >       }; ]

  >       [ category category_name {
  >         channel_name; [ channel_name; ... ]
  >       }; ]
  >       ...
  >     };

Covered in:

  Chapter 7

### F.1.19 options (8.X.X)

Function:

  Sets up global options

Syntax:

  >     options {
  >       [ directory path_name; ]
  >       [ named-xfer path_name; ]
  >       [ dump-file path_name; ]
  >       [ pid-file path_name; ]
  >       [ statistics-file path_name; ]
  >       [ auth-nxdomain yes_or_no; ]
  >       [ fake-iquery yes_or_no; ]
  >       [ fetch-glue yes_or_no; ]
  >       [ multiple-cnames yes_or_no; ]
  >       [ notify yes_or_no; ]
  >       [ recursion yes_or_no; ]
  >       [ forward ( only | first ); ]
  >       [ forwarders { [ in_addr ; [ in_addr ; ... ] ] }; ]
  >       [ check-names ( master | slave | response ) ( warn | fail | ignore);]
  >       [ allow-query { address_match_list }; ]
  >       [ allow-transfer { address_match_list }; ]
  >       [ listen-on [ port ip_port ] { address_match_list }; ]
  >       [ query-source [ address ( ip_addr | * ) ] [ port ( ip_port | * ) ];]
  >       [ max-transfer-time-in number; ]
  >       [ transfer-format ( one-answer | many-answers ); ]
  >       [ transfers-in  number; ]
  >       [ transfers-out number; ]
  >       [ transfers-per-ns number; ]
  >       [ coresize size_spec ; ]
  >       [ datasize size_spec ; ]
  >       [ files size_spec ; ]
  >       [ stacksize size_spec ; ]
  >       [ cleaning-interval number; ]
  >       [ interface-interval number; ]
  >       [ statistics-interval number; ]
  >       [ topology { address_match_list }; ]
  >     };

Covered in:

  Chapter 4

  Chapter 10

  Chapter 15, Miscellaneous

### F.1.20 server (8.X.X)

Function:

  Defines the characteristics to be associated with a remote name server

Syntax:

  >     server ip_addr {
  >       [ bogus yes_or_no; ]
  >       [ transfers number; ]
  >       [ transfer-format ( one-answer | many-answers
  >     ); ]
  >       [ keys { key_id [key_id ... ] }; ]
  >     };

Covered in:

  Chapter 10

### F.1.21 zone (8.X.X)

Function:

  Defines the zones maintained by the name server

Syntax:

  >     zone domain_name [ ( in | hs | hesiod | chaos )
  >     ] {
  >       type master;
  >       file path_name;
  >       [ check-names ( warn | fail | ignore ); ]
  >       [ allow-update { address_match_list }; ]
  >       [ allow-query { address_match_list }; ]
  >       [ allow-transfer { address_match_list }; ]
  >       [ notify yes_or_no; ]
  >       [ also-notify { ip_addr; [ ip_addr; ... ] };
  >     };

  >     zone domain_name [ ( in | hs | hesiod | chaos )
  >     ] {
  >       type ( slave | stub );
  >       [ file path_name; ]
  >       masters { ip_addr; [ ip_addr; ... ] };
  >       [ check-names ( warn | fail | ignore ); ]
  >       [ allow-update { address_match_list }; ]
  >       [ allow-query { address_match_list }; ]
  >       [ allow-transfer { address_match_list }; ]
  >       [ max-transfer-time-in number; ]
  >       [ notify yes_or_no; ]
  >       [ also-notify { ip_addr; [ ip_addr; ... ] };
  >     };

  >     zone . [ ( in | hs | hesiod | chaos ) ] {
  >       type hint;
  >       file path_name;
  >       [ check-names ( warn | fail | ignore ); ]
  >     };

Covered in:

  Chapter 4

  Chapter 10

E. in-addr.arpa Registration Form |  | F.2 BIND Resolver Statements